petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscStrrchr

Locates one location past the last occurance of a character in a string, if the character is not found then returns entire string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrrchr(const char a[],char b,char *tmp[])

Not Collective

### Input Parameters

| a | - pointer to string
| b | - character

### Output Parameter

tmp -location of occurance, a if not found

Notes: Not for use in Fortran

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html